Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 31016 - [TTV] wrong default action behaviour
[TTV] wrong default action behaviour
Status: VERIFIED WORKSFORME
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
PC Linux
: P3 (vote)
: 4.x
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on: 30932
Blocks: 33281
  Show dependency treegraph
 
Reported: 2003-02-13 06:27 UTC by Milos Kleint
Modified: 2008-12-22 20:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2003-02-13 06:27:25 UTC
When having a treetableview with a a few columns,
the double clict default action behaviour is strange.

the default actiop is trigger only when double
clicking on the text or the icon in the tree part
of the view. however because of the grid, the
field has clearly defined borders, but it's
clicking within the field has no effect, it has to
be clicked on the text itself. I believe that is
wrong, because the grid gives thet impression of a
table cell, which has unified behaviour across the
cell, no matter if there's text or not.
Comment 1 Jiri Rechtacek 2003-02-19 18:01:15 UTC
It would be fixed together with issue 30932 in latest in 4.0.
Comment 2 Stanislav Aubrecht 2005-01-13 09:57:50 UTC
the default action is now always fired regardless which part of the
tree column is doubleclicked.
Comment 3 Marian Mirilovic 2006-01-17 14:16:23 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo